import { __rest } from "tslib";
import { BlueprintIGXCBuilder, } from "./BlueprintIGXCBuilder";
export var createSceneFromBlueprint = function (_a) {
    var model = _a.model, builderParams = __rest(_a, ["model"]);
    var builder = new BlueprintIGXCBuilder(builderParams);
    var corners = model.floorplan.getCorners();
    corners.forEach(function (corner) { return builder.addCorner(corner); });
    var walls = model.floorplan.getWalls();
    walls.forEach(function (wall) {
        return builder.addWall(wall.getStart().id, wall.getEnd().id);
    });
    var rooms = model.floorplan.getRooms();
    rooms.forEach(function (room) {
        return builder.addRoom(room.corners.map(function (corner) { return corner.id; }));
    });
    return builder.build();
};
